"""daad_django URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/1.10/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  url(r'^$', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  url(r'^$', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.conf.urls import url, include
    2. Add a URL to urlpatterns:  url(r'^blog/', include('blog.urls'))
"""
from django.conf.urls import url, include
from django.contrib import admin
from django.conf import settings
from django.conf.urls.static import static
from django.contrib.auth import views as auth_views
from django.conf.urls.i18n import i18n_patterns
#from solid_i18n.urls import solid_i18n_patterns
from ddusers import views as ddusers_views
from ajax_select import urls as ajax_select_urls


urlpatterns = [
    url(r'^grappelli/', include('grappelli.urls')), # grappelli URLS
    #url(r'^taggit/',view=include('taggit_bootstrap.urls')),
    url(r'^summernote/', include('django_summernote.urls')),
    url(r'^i18n/', include('django.conf.urls.i18n')),
    url(r'^ajax_select/', include(ajax_select_urls)),
    url(r'^accounts/', include('registration.backends.default.urls')),
] + static(settings.STATIC_URL, document_root=settings.STATIC_ROOT) + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

urlpatterns += [#i18n_patterns( # deactivated multi language support
    url(r'^$', ddusers_views.start_page, name='ddusers.start_page'),
    url(r'^publications/', include('publications.urls')),
    url(r'^comments/', include('ddcomments.urls')),
    #url(r'^publications/', include('publications_bootstrap.urls')),
    url(r'^login/$', auth_views.login, {'template_name': 'auth/login.html'}, name='login'),
    url(r'^logout/$', auth_views.logout, {'template_name': 'auth/logout.html', 'next_page': '/'}, name='logout'),
    url(r'^admin/', admin.site.urls),
    url(r'^users/', include('ddusers.urls')),
    #url(r'^comments/', include('django_comments.urls')),
    url(r'^blog/comments/', include('fluent_comments.urls')),
    url(r'^activity/', include('actstream.urls')),
    url(r'^shib/', include('shibboleth.urls', namespace='shibboleth')),
] + static(settings.STATIC_URL, document_root=settings.STATIC_ROOT) + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

if settings.DEBUG:
    import debug_toolbar
    urlpatterns = [
        url(r'^__debug__/', include(debug_toolbar.urls)),
    ] + urlpatterns

