from django.forms import ModelForm

from crispy_forms.helper import FormHelper
from crispy_forms.layout import Layout, Fieldset, Field, Div, ButtonHolder, Submit, Button, HTML
from crispy_forms.bootstrap import FormActions, TabHolder, Tab

from .models import Comment


UPDATED_MSG = """
    {% if updated %}<div id='updated-msg' class='alert alert-success' ic-trigger-on='scrolled-into-view' ic-action='delay:2500;fadeOut;remove' role='alert'>
    <i class='fa fa-spinner fa-spin'></i><strong>{{ target|title }} saved</strong></div>{% endif %}
    {% if err %}<div id='updated-msg' class='alert alert-danger' role='alert'>
    <i class='fa fa-spinner fa-spin'></i><strong>Error! {{ target|title }} could not be saved. Error encountered in fields {% for field in err %} {{ field }}, {% endfor %}</strong></div> {% endif %}"""

ADD_EDIT_HEADING="<h2>{% if new %}Add{% else %}Edit{% endif %} {{ target|title }}</h2><hr>"
REQ_FIELD = "<p class='help-block'>[*] required field</p><hr>"

class CommentForm(ModelForm):
    class Meta:
        model = Comment        
        fields = ['text',]


    helper = FormHelper()
    helper.form_tag = False
    helper.form_show_labels = False

    helper.layout = Layout(
        Div(
            Div('text', css_class='col-md-12', rows='3', ),
            css_class='row',
            #Field('text', css_class='col-md-12 row', rows='5', ),
        ),
    )

