import requests, sys, json

def query_endpoint(service, doi):
    endpoint = 'https://api.%s.org/works' % (service,)
    response = requests.get(endpoint + '/' + doi)
    if (response.status_code != 200):
        raise
    else:
        #print(service)
        return json.loads( response.text )

def lookup_doi_datacite(doi):
    json_dict = query_endpoint('datacite', doi)
    return json_dict['data']['attributes']


    #for key, value in attr.iteritems():
    #    print( "%s: %s" % (key, value) )
    #title = attr['title']
    #version = attr['version']
    #updated = attr['updated']
    #registered = attr['registered']
    #published = attr['published']
    #description = attr['description']
    #license = attr['license']
    #resource_type_subtype = attr['resource-type-subtype']
    #resource_type_id = attr['resource-type-id']
    #doi = attr['doi']
    #container_title = attr['container-title']

    #print(title, version, updated, registered, published, doi, container_title)

    #for author in attr['author']:
    #    given = author['given']
    #    family = author['family']
    #    print( given + " " + family)

def lookup_doi_crossref(doi):
    json_dict = query_endpoint('crossref', doi)
    return json_dict['message']
    #doi = attr['DOI']
    #for title in attr['title']:
    #    print( title)

def lookup_doi(doi):
    try:
        return 'datacite', lookup_doi_datacite(doi)
    except:
        return 'crossref', lookup_doi_crossref(doi)

if __name__ == "__main__":
    doi = '10.1163/15730352-04301005'
    #doi = '10.15457/thps_2011'
    service, json_dict = lookup_doi(doi)
    print(service)
    print(json_dict)



