# -*- coding: utf-8 -*-

from django import template
from ddusers.models import User

from dd_django.settings import DEFAULT_USER_IMAGE

register = template.Library()

@register.filter
def teaser(value):
    try:
        return value[:value.index(",")]
    except:
        return value
    #try:
    #    index_comma = value.find(",")

    #    index_dash = value.find("&ndash;")
    #    if index_dash < index_comma:
    #        return value[:index_dash]
    #    else:
    #        return value[:index_comma]
    #except:
    #    return value


#{% for i in 15|times %}
#    <li>Item</li>
#{% endfor %}

@register.filter(name='times')
def times(number):
    return range(number)


#{% for i in 1|range:6 %}{% endfor %}
@register.filter(name='range')
def filter_range(start, end):
    return range(start, end+1)

@register.filter
def unicode(value):
    return str(value).encode('utf-8')

@register.filter
def get_user_image(pk):
    user = User.objects.get(id=pk)
    try:
        image_url = user.image.url
    except:
        image_url = DEFAULT_USER_IMAGE
    return image_url

@register.filter
def underscore2space(value):
    return value.replace('_', ' ')

