from modeltranslation.translator import translator, TranslationOptions

from ddusers.models import User
from ddusers.models import Institution
from ddusers.models import Project
from ddusers.models import DataSet
from ddusers.models import Topic
from ddusers.models import ReceptiveTo
from ddusers.models import Country
from ddusers.models import ProtestEvent
from ddusers.models import City
from ddusers.models import Link
from ddusers.models import WebPage
from ddusers.models import Keyword

class TopicTranslationOptions(TranslationOptions):
    fields = ('title','description',)

class ReceptiveToTranslationOptions(TranslationOptions):
    fields = ('text',)

class KeywordTranslationOptions(TranslationOptions):
    fields = ('title','description',)

class UserTranslationOptions(TranslationOptions):
    fields = ('first_name', 'last_name', )

class WebPageTranslationOptions(TranslationOptions):
    fields = ('main_desc_heading', 'main_desc', 'text_left_heading', 'text_left',  'text_middle_heading', 'text_middle', 'text_right_heading', 'text_right' )

class LinkTranslationOptions(TranslationOptions):
    fields = ('description',)

class CountryTranslationOptions(TranslationOptions):
    fields = ('name',)

class InstitutionTranslationOptions(TranslationOptions):
    fields = ('name', 'department', 'address', 'description', 'short_description', 'location', 'city')

class DataSetTranslationOptions(TranslationOptions):
    fields = ('title', 'subtitle', )

class ProjectTranslationOptions(TranslationOptions):
    fields = ('name', )

class ProtestEventTranslationOptions(TranslationOptions):
    fields = ('date_text', 'duration', 'city_desc', 'location', 'participants_nr', 'claims', 'treatment', 'sources' )

class CityTranslationOptions(TranslationOptions):
    fields = ('name', )

translator.register(User, UserTranslationOptions)
translator.register(Country, CountryTranslationOptions)
translator.register(Institution, InstitutionTranslationOptions)
translator.register(DataSet, DataSetTranslationOptions)
translator.register(Project, ProjectTranslationOptions)
translator.register(ProtestEvent, ProtestEventTranslationOptions)
translator.register(City, CityTranslationOptions)
translator.register(Link, LinkTranslationOptions)
translator.register(WebPage, WebPageTranslationOptions)
translator.register(Topic, TopicTranslationOptions)
translator.register(Keyword, KeywordTranslationOptions)
translator.register(ReceptiveTo, ReceptiveToTranslationOptions)
